# ABox-ws
## Description
ABox-ws is used for controlling video playback through web sockets.
It only works in an STB environment, where the sockets are available.
This module supports AMD and CommonJS module loaders.
## Usage
### Video sizing
For video sizing use the `setVideoSize` function.

It uses 4 parameters as follows:

1. x - horizontal offset in pixels
2. y - vertical offset in pixels
3. width - width of the video display in pixels
4. height - height of the video display in pixels
All 4 parameters must be provided in an integer format (no floating points)

The following example will display video 200 pixels from left, 50 from top and resized to a resolution of 800x200:
```js
aboxWs.setVideoSize(200, 50, 800, 200);
```
### Video playing
To play available videos a player must be initialized.
Using `initPlayer` will start a new player and return an object with `play` function.

Videos are played by using the returned `play` function, it accepts these parameters:

1. url - the location of the video
2. volume - the volume of the video (-1 to leave default)
3. startCallback - a callback function called once the video starts
4. stopCallback - a callback function called once the video ends
5. errorCallback - a callback function called if there was an error

Example:
```js
var player = aboxWs.initPlayer();
player.play('usb://video.mp4', -1, null, null, function(e) { console.error('error', e); });
```